gss_import_sec_context(3)

NAME
gss_import_sec_context - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_import_sec_context(OM_uint32 * minor_status, const gss_buffer_t interprocess_token, gss_ctx_id_t * context_handle);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_buffer_t interprocess_token
    (buffer, opaque, modify) Token received from
      exporting process

gss_ctx_id_t * context_handle
    (gss_ctx_id_t, modify) Context handle of newly
      reactivated context. Resources associated with this context
      handle must be released by the application after use with a call
      to gss_delete_sec_context().

DESCRIPTION
Allows a process to import a security context established by another process. A given interprocess token may be imported only once. See gss_export_sec_context.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_NO_CONTEXT`: The token did not contain a valid context reference.

`GSS_S_DEFECTIVE_TOKEN`: The token was invalid.

`GSS_S_UNAVAILABLE`: The operation is unavailable.

`GSS_S_UNAUTHORIZED`: Local policy prevents the import of this
 context by the current process.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.